School Districts
curl --request GET \
--url https://api.ihuus.com/v1/schools/search/districts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ihuus.com/v1/schools/search/districts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ihuus.com/v1/schools/search/districts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"districts": [
{
"geoid": "0602310",
"higrade": "12",
"lograde": "KG",
"name": "San Jose Unified School District",
"rating": 7,
"rating_summary": "Above-average district with strong academic outcomes and broad program variety; some achievement gaps across schools.",
"rating_year": 2024,
"sd_type": "Unified",
"state_fp": "06"
}
]
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "<string>"
}Schools & Ratings
School Districts
Returns the names and metadata of all school districts (Unified, Elementary, Secondary) that geographically overlap with the specified latitude and longitude. School district boundaries can overlap (e.g., an elementary district within a high school district).
This data is provided by Federal NCES datasets.
GET
/
schools
/
search
/
districts
School Districts
Authorizations
Your access token or API key. Pass as Authorization: Bearer <token>.
Query Parameters
Latitude of the search location (WGS 84).
Required range:
-90 <= x <= 90Longitude of the search location (WGS 84).
Required range:
-180 <= x <= 180